- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\Media\AbstractMediaType

abstract class AbstractMediaType implements MediaTypeInterface

## Methods

| __construct($pathfile, FFMpegDriver $driver, FFProbe $ffprobe) |
FFMpegDriver | getFFMpegDriver() |
MediaTypeInterface | setFFMpegDriver(FFMpegDriver $driver) |
FFProbe | getFFProbe() |
MediaTypeInterface | setFFProbe(FFProbe $ffprobe) |
string | getPathfile() |
MediaTypeInterface | setFiltersCollection(FiltersCollection $filters) |
MediaTypeInterface | getFiltersCollection() |

## Details

###
at line 29
`public __construct($pathfile, FFMpegDriver $driver, FFProbe $ffprobe)`

#### Parameters

| $pathfile |
FFMpegDriver | $driver |
FFProbe | $ffprobe |

###
at line 40
`public FFMpegDriver getFFMpegDriver()`

#### Return Value

FFMpegDriver |

###
at line 50
`public MediaTypeInterface setFFMpegDriver(FFMpegDriver $driver)`

#### Parameters

FFMpegDriver | $driver |

#### Return Value

MediaTypeInterface |

###
at line 60
`public FFProbe getFFProbe()`

#### Return Value

FFProbe |

###
at line 70
`public MediaTypeInterface setFFProbe(FFProbe $ffprobe)`

#### Parameters

FFProbe | $ffprobe |

#### Return Value

MediaTypeInterface |

###
at line 80
`public string getPathfile()`

#### Return Value

string |

###
at line 90
`public MediaTypeInterface setFiltersCollection(FiltersCollection $filters)`

#### Parameters

FiltersCollection | $filters |

#### Return Value

MediaTypeInterface |

###
at line 100
`public MediaTypeInterface getFiltersCollection()`

#### Return Value

MediaTypeInterface |